Tip / Sign in to post questions, reply, level up, and achieve exciting badges. Know more

PSoC™ Creator & Designer Forum Discussions

JoBr_1593366
Level 5
Level 5
100 sign-ins 50 questions asked 100 replies posted

The help says "Incompatible – An incompatible Component version means that the selected Component and version is not compatible with the selected device for your design. PSoC Creator will display a warning or error about this Component version in the Notice List Window."

but it says that for all component versions:

2020-06-12 10_08_41-Component Update Tool.png

and this is a source code project that doesn't have a device associated with it, so I'm not sure what this means.

0 Likes
1 Solution
Hari
Moderator
Moderator
Moderator
750 replies posted 500 replies posted 250 solutions authored

Is it possible to share the project here? Is this a library project? If not, there must be a device associated with this. Make sure that the component that you are trying to use is available in the current device.

Also, check the PSoC Creator version the project was created in and make sure that you are using the same version to view it to avoid any compatibility issue.

Regards,
Hari

View solution in original post

0 Likes
1 Reply
Hari
Moderator
Moderator
Moderator
750 replies posted 500 replies posted 250 solutions authored

Is it possible to share the project here? Is this a library project? If not, there must be a device associated with this. Make sure that the component that you are trying to use is available in the current device.

Also, check the PSoC Creator version the project was created in and make sure that you are using the same version to view it to avoid any compatibility issue.

Regards,
Hari

0 Likes